Subject: Re: [Idr] [irs-discuss] About ALTO Vs. BGP-LS

From: "Y. Richard Yang" <[email-masked]>
Date: Tue, 7 Aug 2012 14:34:27 -0400

On Tue, Aug 7, 2012 at 11:15 AM, Noel Chiappa <[email-masked]>wrote:

>     > From: "Y. Richard Yang" <[email-masked]>
>
>     > Glad that you also like the idea of different levels of details of
> the
>     > network topology. If the ALTO Server is given a detailed topology
>     > ... we can offer multiple topology operators/aggregators to explore
> the
>     > detailed topology, according to need and policy.
>
> Too bad we have a routing architecture that deals (as its fundamental
> currency) in destination tables, rather than topology - and, in particular,
> in a multi-level representation of the toplogy. Then all this stuff would
> just fall out naturally.
>
>
It appears to have increasing efforts focusing on building
abstractions/network
computations based on topology. Hope that it moves somewhere. We are finding
more benefits of using topology-based network routing/control, e.g.,
McNettle
(Multi-core Nettle), an SDN controlled being developed here, uses STM to
manage
topology in a highly concurrent controller and achieves pretty good
scalability.

> (And if I sound somewhat cranky, perhaps people will forgive me - although
> I
> expect not that many on this list will know what I'm implicitly referring
> to.)
>
>
>     > There are studies on representation of multi-level graphs that we can
>     > try to take advantage of. This can be a subject for the group to
> explore.
>
> There's a PhD thesis which is relevant to this area (since part of it is
> about clustering, i.e. in representing an area of the graph without full
> detail, one has to decide where to set the boundaries of said part):
>
>   Jacob Hagouel, "Issues in Routing for Large and Dynamic Netoworks",
>   Columbia University, 1983
>
> A lot of it is irrelevant (to me, at least), since it's talking about
> distributed path computation (which I have long since concluded is 'buggy
> whip' technology), but the clustering, etc, content is good.
>

Thanks a lot for the pointer. Definitely will read.

Richard

>         Noel

---

From: [email-masked] (Noel Chiappa)
Date: Tue, 7 Aug 2012 11:15:29 -0400 (EDT)

> Glad that you also like the idea of different levels of details of the
    > ... we can offer multiple topology operators/aggregators to explore the

(And if I sound somewhat cranky, perhaps people will forgive me - although I
expect not that many on this list will know what I'm implicitly referring to.)

    > try to take advantage of. This can be a subject for the group to explore.

	Noel